## InfdNotePlugin InfdNotePlugin |

## Synopsis

    struct              InfdNotePlugin;

## Description

## Details

### struct InfdNotePlugin

    struct InfdNotePlugin {
      gpointer user_data;

      /* The typename of the storage backend this plugin can be used with, such
       * as InfdFilesystemStorage. */
      const gchar* storage_type;

      /* The note type this plugin handles, such as InfText */
      const gchar* note_type;

      InfdNotePluginSessionNew session_new;
      InfdNotePluginSessionRead session_read;
      InfdNotePluginSessionWrite session_write;
    };